This reverts commit 7def67b23ce92d42b92bea2d0eb9a3b9c3febc8e. dracut 056 causes a regression in live images because the network-manager hook depends on the systemd hook now (void-linux/void-mklive#296)
18 lines
401 B
Diff
18 lines
401 B
Diff
--- a/modules.d/99base/dracut-lib.sh
|
|
+++ b/modules.d/99base/dracut-lib.sh
|
|
@@ -1128,11 +1128,11 @@
|
|
|
|
case "$_emergency_action" in
|
|
reboot)
|
|
- reboot || exit 1;;
|
|
+ reboot -f || exit 1;;
|
|
poweroff)
|
|
- poweroff || exit 1;;
|
|
+ poweroff -f || exit 1;;
|
|
halt)
|
|
- halt || exit 1;;
|
|
+ halt -f || exit 1;;
|
|
esac
|
|
}
|
|
|